# Locations list

> Documentation for Locations list

Get all scalable locations.

```plaintext
https://api.multiplay.co.uk/cfp/v1/locations
```

| **METHOD** |
| ---------- |
| GET        |

## Request parameters

| **VARIABLE**     | **DESCRIPTION**                                                                                                                                                                                            | **OPTIONAL** |
| ---------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ |
| accountserviceid | The `<accountserviceid>` parameter accepts an account service ID (ASID) associated with the specified resource. The credentials in the request header must have access to the ASID to perform the request. | No           |

## Response fields

| Field      | Type    | Description          | Optional |
| ---------- | ------- | -------------------- | -------- |
| name       | string  | Name of the location | No       |
| locationid | integer | ID of the location   | No       |

## Example request

```bash
curl --location -g 'https://api.multiplay.co.uk/cfp/v1/server/locations?accountserviceid=<accountserviceid>' \
--header 'Authorization: Basic YOUR_AUTH_CREDENTIALS'
```

## Example response

```plaintext
{
    "name": <name>,
    "locationid": <locationid>,
}
```
